package com.jeeplus.test.reimbursementAssess.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.reimbursementAssess.domain.dto.AssessReimbursementBusinessTwoDTO;
import com.jeeplus.test.reimbursementAssess.domain.dto.AssessReimbursementDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface AssessReimbursementBusinessTwoMapper extends BaseMapper<AssessReimbursementBusinessTwoDTO> {

    /**
     * 分页查询
     */
    IPage<AssessReimbursementBusinessTwoDTO> findListPage(Page<AssessReimbursementBusinessTwoDTO> page,
                                                              @Param("assessReimbursementBusiness")AssessReimbursementBusinessTwoDTO AssessReimbursementBusiness);

    /**
     * 物理删除
     * @param id
     */
    void delPhysicsById(@Param("id")String id);
    /**
     * 物理删除
     * @param idList
     */
    void deleteByList(@Param("idList")List <String> idList);

    /**
     * 新增
     */
    void insertAssessReimbursementBusiness(AssessReimbursementBusinessTwoDTO AssessReimbursementBusiness);

    /**
     * 修改
     */
    void modifyBindCode(@Param("ids")String ids,@Param("businessCode")String businessCode);

    /**
     * 下拉菜单
     */
    List<AssessReimbursementDTO> findSelectList();


    List<String> findSelectYearList();

    List<AssessReimbursementDTO> findSelectCodeListByYear(String year);

    AssessReimbursementBusinessTwoDTO findDataById(@Param("id")String id);
}
